import React, { Component } from 'react';

import './css/Button.css';


class Button extends Component {
    // Multiple onClick functions
    onClick = () => {
        if (this.props.onClick !== null
            && this.props.onClick !== undefined) {
            if (Array.isArray(this.props.onClick)) {
                this.props.onClick.forEach(func => {
                    func();
                });
            } else {
                console.log("Error when parsing Button onClick functions. Make sure the functions are passed as an array.");
            }
        }
    }

    render() {
        return (
            <button className={this.props.className} onClick={this.onClick}>
                {this.props.children}
            </button>
        );
    }
}

export default Button;