import React, { Component } from 'react';

import NavigationDrawer from './NavigationDrawer.js';

import './css/Header.css';

import navIcon from '../img/menu.svg'

class Header extends Component {
    constructor(props) {
        super(props);
        this.navDrawerElem = React.createRef();
    }

    handleClick = () => {
        this.navDrawerElem.current.toggle();
    };
    
    render() {
        return (
            <>
                <NavigationDrawer ref={this.navDrawerElem} />

                <header>
                    <button id="navBtn"><img src={navIcon} alt="" onClick={this.handleClick} /></button>
                    <h1 id="pageTitle">{this.props.title}</h1>
                </header>
            </>
        );
    }
}

export default Header;